# Bossbars
bossbar set ctw:preparation players @a
bossbar set ctw:blue_crystal players @a
bossbar set ctw:red_crystal players @a

# Scores
scoreboard players reset @s died
scoreboard players reset @s kills
scoreboard players reset @s damage
scoreboard players set @s bonus_duration 0
scoreboard players set @s buff_duration 0
scoreboard players set @s death_tick 0
scoreboard players reset @s total_kills
scoreboard players reset @s total_deaths
scoreboard players reset @s players_scores
scoreboard players reset @s streak

# Shards wait
scoreboard players operation @s passive_shard = passive_shard_wait CONSTANT
scoreboard players remove @s passive_shard 60

# Misc
scoreboard players set @s double_jump 0
scoreboard players reset @s lifesteal
tag @s remove falling
tag @s remove charged_attack
tag @s remove in_streak
scoreboard players reset @s wand_shoot_delay
execute if entity @s[tag=endinsp_mode] run function ctw:z_fct/match/def_tower/ender_tp_back
scoreboard players reset @s killed_worshipper
scoreboard players reset @s charged_attack_prop
scoreboard players reset @s last_attack
scoreboard players reset @s punish_delay

# Enderchests
item replace entity @s enderchest.0 with minecraft:air
item replace entity @s enderchest.1 with minecraft:air
item replace entity @s enderchest.2 with minecraft:air
item replace entity @s enderchest.3 with minecraft:air
item replace entity @s enderchest.4 with minecraft:air
item replace entity @s enderchest.5 with minecraft:air
item replace entity @s enderchest.6 with minecraft:air
item replace entity @s enderchest.7 with minecraft:air
item replace entity @s enderchest.8 with minecraft:air
item replace entity @s enderchest.9 with minecraft:air
item replace entity @s enderchest.10 with minecraft:air
item replace entity @s enderchest.11 with minecraft:air
item replace entity @s enderchest.12 with minecraft:air
item replace entity @s enderchest.13 with minecraft:air
item replace entity @s enderchest.14 with minecraft:air
item replace entity @s enderchest.15 with minecraft:air
item replace entity @s enderchest.16 with minecraft:air
item replace entity @s enderchest.17 with minecraft:air
item replace entity @s enderchest.18 with minecraft:air
item replace entity @s enderchest.19 with minecraft:air
item replace entity @s enderchest.20 with minecraft:air
item replace entity @s enderchest.21 with minecraft:air
item replace entity @s enderchest.22 with minecraft:air
item replace entity @s enderchest.23 with minecraft:air
item replace entity @s enderchest.24 with minecraft:air
item replace entity @s enderchest.25 with minecraft:air
item replace entity @s enderchest.26 with minecraft:air

# Effects
clear @s
effect clear @s
effect give @s[tag=playing] minecraft:instant_health 5 10 true
effect give @s[tag=playing] minecraft:saturation 5 10 true
effect give @s[tag=playing] minecraft:resistance 10 255 true
effect give @s[tag=playing] minecraft:speed 10 3 true

# Gamemode
gamemode survival @s[tag=playing]
gamemode spectator @s[team=]

# Stuff
item replace entity @s[team=blue] armor.head with minecraft:leather_helmet[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:dyed_color={rgb:7162},minecraft:custom_data={default:1}]
item replace entity @s[team=blue] armor.chest with minecraft:leather_chestplate[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:dyed_color={rgb:7162},minecraft:custom_data={default:1}]
item replace entity @s[team=blue] armor.legs with minecraft:leather_leggings[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:dyed_color={rgb:7162},minecraft:custom_data={default:1}]
item replace entity @s[team=blue] armor.feet with minecraft:leather_boots[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:dyed_color={rgb:7162},minecraft:custom_data={default:1}]

item replace entity @s[team=red] armor.head with minecraft:leather_helmet[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:dyed_color={rgb:16711680},minecraft:custom_data={default:1}]
item replace entity @s[team=red] armor.chest with minecraft:leather_chestplate[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:dyed_color={rgb:16711680},minecraft:custom_data={default:1}]
item replace entity @s[team=red] armor.legs with minecraft:leather_leggings[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:dyed_color={rgb:16711680},minecraft:custom_data={default:1}]
item replace entity @s[team=red] armor.feet with minecraft:leather_boots[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:dyed_color={rgb:16711680},minecraft:custom_data={default:1}]

item replace entity @s[tag=playing] container.0 with minecraft:wooden_pickaxe[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:custom_data={default:1}]
item replace entity @s[tag=playing] container.1 with minecraft:wooden_sword[minecraft:lore=['[{"text":"Default item, disappears when dropped.","color":"gray","italic":false,"type":"text"}]'],minecraft:custom_data={default:1}]
item replace entity @s[tag=playing,team=blue] container.2 with minecraft:blue_terracotta 10
item replace entity @s[tag=playing,team=red] container.2 with minecraft:red_terracotta 10
item replace entity @s[tag=playing] container.3 with minecraft:carrot 8

# Attributes
function ctw:z_fct/match/player_management/remove_attributes

# Economy
give @s[tag=playing] minecraft:gold_nugget[minecraft:custom_name='{"color":"yellow","text":"Coin","type":"text"}'] 50
give @s[tag=playing] minecraft:amethyst_shard[minecraft:custom_name='{"color":"light_purple","text":"Shard","type":"text"}',minecraft:enchantments={levels:{"minecraft:unbreaking":1}}] 2
xp set @s[tag=playing] 1000 levels

# Wools
tag @s remove has_blue_wool
tag @s remove has_cyan_wool
tag @s remove has_red_wool
tag @s remove has_pink_wool

# TP
tp @s[team=blue] 0 47 -181 0 0
tp @s[team=red] 0 47 181 180 0
spawnpoint @s[team=blue] 0 54 -132 0
spawnpoint @s[team=red] 0 54 132 180
tp @s[team=] 0 70 0
