execute as @a[tag=in_streak] if score @s streak < kills_for_streak CONSTANT run tag @s remove in_streak
execute as @a[tag=!in_streak] if score @s streak >= kills_for_streak CONSTANT run tag @s add entered_streak
execute as @a[tag=entered_streak] run tellraw @a [{"text":"\u25b6 ","type":"text"},{"selector":"@s","type":"selector"},{"text":" is in a kill streak ! ","type":"text"},{"text":"Kill them for reward !","color":"yellow","type":"text"}]
execute at @a[tag=entered_streak] run playsound minecraft:entity.blaze.death master @a ~ ~ ~ 1 0.65 1
tag @a[tag=entered_streak] add in_streak
tag @a remove entered_streak

# Stop streak

scoreboard players reset @a[scores={cancel_blue_streak=1..},team=blue] streak
scoreboard players reset @a[scores={cancel_red_streak=1..},team=red] streak
tag @a[tag=in_streak,scores={cancel_blue_streak=1..},team=blue] add blue_streak_cancel
tag @a[tag=in_streak,scores={cancel_red_streak=1..},team=red] add red_streak_cancel
execute as @a[tag=blue_streak_cancel] run tag @s remove in_streak
execute as @a[tag=red_streak_cancel] run tag @s remove in_streak
execute as @a[tag=blue_streak_cancel] run tellraw @a [{"text":"\u25b6 Streak ended ! ","type":"text"},{"text":"Red players","color":"red","type":"text"},{"text":" get shards and coins in their Ender Chests.","type":"text"}]
execute as @a[tag=red_streak_cancel] run tellraw @a [{"text":"\u25b6 Streak ended ! ","type":"text"},{"text":"Blue players","color":"blue","type":"text"},{"text":" get shards and coins in their Ender Chests.","type":"text"}]
execute as @a[tag=blue_streak_cancel] as @a[team=red] run function ctw:z_fct/match/economy/cancel_streak_reward
execute as @a[tag=red_streak_cancel] as @a[team=blue] run function ctw:z_fct/match/economy/cancel_streak_reward

scoreboard players reset @a[tag=blue_streak_cancel] streak
scoreboard players reset @a[tag=red_streak_cancel] streak

scoreboard players reset @a cancel_blue_streak
scoreboard players reset @a cancel_red_streak
tag @a remove blue_streak_cancel
tag @a remove red_streak_cancel
